package com.mvc.dao;

import com.mvc.entity.DicChkplat;
import com.mvc.entity.DicChkplatExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface DicChkplatMapper {
    long countByExample(DicChkplatExample example);

    int deleteByExample(DicChkplatExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DicChkplat record);

    int insertSelective(DicChkplat record);

    List<DicChkplat> selectByExample(DicChkplatExample example);

    DicChkplat selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") DicChkplat record, @Param("example") DicChkplatExample example);

    int updateByExample(@Param("record") DicChkplat record, @Param("example") DicChkplatExample example);

    int updateByPrimaryKeySelective(DicChkplat record);

    int updateByPrimaryKey(DicChkplat record);
}